Request member's plan details
curl --request POST \
--url https://api.anagram.care/api/auth/v1/eligibility/{request_uid}/details/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"result_id": 123,
"person_id": 123,
"request_uid": "<string>"
}
'import requests
url = "https://api.anagram.care/api/auth/v1/eligibility/{request_uid}/details/"
payload = {
"result_id": 123,
"person_id": 123,
"request_uid": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({result_id: 123, person_id: 123, request_uid: '<string>'})
};
fetch('https://api.anagram.care/api/auth/v1/eligibility/{request_uid}/details/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_uid": "af42aa113b4148ec86f3ed7324f24242"
}Authenticated API
Eligibility Details Request
Requesting a detailed insurance plan from a successful eligibility request
POST
/
api
/
auth
/
v1
/
eligibility
/
{request_uid}
/
details
/
Request member's plan details
This endpoint is used upon the initial eligibiltiy request’s success.
Authorizations
Your API token prefaced with an "Api" prefix. Example value: "Api B3F4242424E3FDB4242424242A9C7642"
Path Parameters
Body
application/json
Response
Plan details request started
UID of the plan details request
⌘I